Subject: [Netconf] ip address types in the monitoring draft

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 7 Aug 2009 16:44:48 +0200

Hi,

I checked the IPv4 and IPv6 address types in the XSD and in yang-types
and they are both different. This means that the sourceHost accepts
slightly different things if you compare the XSD and YANG versions of
the data models.

Now, the IPv4 pattern can be made the same by copying (and hoping the
yang-types patter won't change anymore). For the IPv6 pattern, things
are slightly more complicated since the YANG module makes use of the
YANG feature to have multiple pattern; this would translate into an
additional intermediate type for the XSD schema.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>